## prometheus-alertmanager 0.3.0+ds

=== debian/changelog ===
prometheus-alertmanager (0.3.0+ds-2) unstable; urgency=medium

  * Add patch to fix flaky tests due to timing issues. Closes: #830936.

 -- Martín Ferrari <tincho@debian.org>  Fri, 15 Jul 2016 13:56:49 +0100

prometheus-alertmanager (0.3.0+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #828073)

 -- Martín Ferrari <tincho@debian.org>  Tue, 12 Jul 2016 03:23:21 +0000
