=== debian/control ===
Source: prometheus-alertmanager
Section: net
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>
Build-Depends: adduser, debhelper (>= 9.0.0),
               golang-any (>= 1.3),
               dh-golang (>= 1.17~),
               golang-github-boltdb-bolt-dev,
               golang-github-cenkalti-backoff-dev,
               golang-github-kylelemons-godebug-dev,
               golang-github-mattn-go-sqlite3-dev,
               golang-github-prometheus-common-dev,
               golang-golang-x-sys-dev,
               golang-prometheus-client-dev,
               node-uglify,
               python-pkg-resources,
               python-pyscss,
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/prometheus-alertmanager.git/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/prometheus-alertmanager.git/
Homepage: https://prometheus.io/

Package: prometheus-alertmanager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, daemon,
         libjs-angularjs,
         libjs-d3,
         libjs-jquery,
         libjs-moment,
Built-Using: ${misc:Built-Using}
Description: Handle and deliver alerts created by Prometheus
 The Alertmanager handles alerts sent by client applications such as the
 Prometheus server. It takes care of deduplicating, grouping, and routing them
 to the correct receiver integration such as email, PagerDuty, or OpsGenie. It
 also takes care of silencing and inhibition of alerts.
