=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DH_GOPKG := github.com/prometheus/alertmanager

# Acceptance tests need to be run separately.
export DH_GOLANG_EXCLUDES := $(DH_GOPKG)/test/acceptance
export DH_GOLANG_INSTALL_EXTRA := template/default.tmpl

BUILDDIR := $(CURDIR)/build
METAPKG := github.com/prometheus/common

DEBVERS    ?= $(shell dpkg-parsechangelog -SVersion)
VERSION    ?= $(shell echo '$(DEBVERS)' | sed 's/^[[:digit:]]*://; s/[-].*//')
DEBPKGNAME ?= $(shell dpkg-parsechangelog -SSource)
DEBDATE    ?= $(shell dpkg-parsechangelog -SDate)
REV        := $(DEBVERS)
BRANCH     := debian/sid
USER       := pkg-go-maintainers@lists.alioth.debian.org
HOSTNAME   := debian
BUILD_DATE := $(shell date --utc --date='$(DEBDATE)' +%Y%m%d-%H:%M:%S)
GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDFLAGS := -ldflags \
  " -X $(METAPKG)/version.Version=$(VERSION)\
    -X $(METAPKG)/version.Revision=$(REV)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)

#override_dh_auto_configure:
#	dh_auto_configure -O--buildsystem=golang

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
#	# Build UI dependencies.
	mkdir -vp $(BUILDDIR)/uideps
	uglifyjs --mangle --compress \
	    < ui/lib/angular-moment/angular-moment.js \
	    > $(BUILDDIR)/uideps/angular-moment.js
	python2-pyscss ui/lib/kube/src/kube.scss \
	    > $(BUILDDIR)/uideps/kube.min.css

override_dh_auto_test:
	dh_auto_test
	GOPATH=$(BUILDDIR) go test -v $(DH_GOLANG_EXCLUDES)

override_dh_auto_install:
	cp -v $(BUILDDIR)/bin/alertmanager \
            debian/$(DEBPKGNAME)/usr/bin/$(DEBPKGNAME)

gen-orig-tgz:
	if [ ! -f ../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ] ; then \
	    git archive --format=tar.gz --prefix=$(DEBPKGNAME)-$(VERSION)/ \
                upstream/$(subst ~,_,$(VERSION)) > \
                ../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ; \
	fi
