## prometheus-alertmanager 0.5.1+ds

=== debian/changelog ===
prometheus-alertmanager (0.5.1+ds-7) unstable; urgency=medium

  * Increase timing margins even more, hopefully upstream will find a better
    solution soon.
    Also ensure the test alertmanager used for acceptance tests is ready (by
    connecting to its http server) before trying to use it. Closes: 851372.
  * Don't abort if acceptance tests fail, as they are too sensitive to
    timing issues.

 -- Martín Ferrari <tincho@debian.org>  Mon, 16 Jan 2017 03:56:46 +0000

prometheus-alertmanager (0.5.1+ds-6) unstable; urgency=medium

  * Increase timing margings for flaky tests, as this is currently preventing
    mips from building properly.

 -- Martín Ferrari <tincho@debian.org>  Sat, 14 Jan 2017 05:48:45 -0300

prometheus-alertmanager (0.5.1+ds-5) unstable; urgency=medium

  * Fix name of minified angular-moment library. Fixes bug reported in GitHub:
    https://github.com/prometheus/alertmanager/issues/590

 -- Martín Ferrari <tincho@debian.org>  Sun, 08 Jan 2017 01:02:38 -0300

prometheus-alertmanager (0.5.1+ds-4) unstable; urgency=medium

  * Provide golang-github-prometheus-alertmanager-dev. Closes: #837756.

 -- Martín Ferrari <tincho@debian.org>  Sun, 25 Dec 2016 23:54:52 -0300

prometheus-alertmanager (0.5.1+ds-3) unstable; urgency=medium

  * Disable more flaky tests.

 -- Martín Ferrari <tincho@debian.org>  Tue, 13 Dec 2016 10:37:48 +0100

prometheus-alertmanager (0.5.1+ds-2) unstable; urgency=medium

  * Gccgo can't handle vendoring currently, so process it manually.

 -- Martín Ferrari <tincho@debian.org>  Mon, 12 Dec 2016 11:04:08 +0000

prometheus-alertmanager (0.5.1+ds-1) unstable; urgency=medium

  * New upstream version.
  * Refresh patches.
  * Update dependencies.
  * New patch to fix API change in prometheus/master, backported from
    upstream master.
  * Disable another flaky test.

 -- Martín Ferrari <tincho@debian.org>  Fri, 02 Dec 2016 22:40:14 +0000
