=== debian/control ===
--- 
+++ 
@@ -11,6 +11,8 @@
                golang-github-kylelemons-godebug-dev,
                golang-github-mattn-go-sqlite3-dev,
                golang-github-prometheus-common-dev,
+               golang-github-satori-go.uuid-dev,
+               golang-github-weaveworks-mesh-dev,
                golang-golang-x-sys-dev,
                golang-prometheus-client-dev,
                node-uglify,
@@ -34,3 +36,23 @@
  Prometheus server. It takes care of deduplicating, grouping, and routing them
  to the correct receiver integration such as email, PagerDuty, or OpsGenie. It
  also takes care of silencing and inhibition of alerts.
+
+Package: golang-github-prometheus-alertmanager-dev
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends},
+               golang-github-boltdb-bolt-dev,
+               golang-github-cenkalti-backoff-dev,
+               golang-github-kylelemons-godebug-dev,
+               golang-github-mattn-go-sqlite3-dev,
+               golang-github-prometheus-common-dev,
+               golang-github-satori-go.uuid-dev,
+               golang-github-weaveworks-mesh-dev,
+               golang-golang-x-sys-dev,
+               golang-prometheus-client-dev,
+Description: Handle and deliver alerts created by Prometheus -- source
+ The Alertmanager handles alerts sent by client applications such as the
+ Prometheus server. It takes care of deduplicating, grouping, and routing them
+ to the correct receiver integration such as email, PagerDuty, or OpsGenie. It
+ also takes care of silencing and inhibition of alerts.
+ .
+ This package provides the source code to be used as a library.
