=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 
 BUILDDIR := $(CURDIR)/build
 METAPKG := github.com/prometheus/common
+BINPKG := prometheus-alertmanager
+LIBPKG := golang-github-prometheus-alertmanager-dev
 
 DEBVERS    ?= $(shell dpkg-parsechangelog -SVersion)
 VERSION    ?= $(shell echo '$(DEBVERS)' | sed 's/^[[:digit:]]*://; s/[-].*//')
@@ -20,6 +22,7 @@
 HOSTNAME   := debian
 BUILD_DATE := $(shell date --utc --date='$(DEBDATE)' +%Y%m%d-%H:%M:%S)
 GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
+GCCGO      := $(strip $(shell go version | grep gccgo))
 BUILDFLAGS := -ldflags \
   " -X $(METAPKG)/version.Version=$(VERSION)\
     -X $(METAPKG)/version.Revision=$(REV)\
@@ -31,8 +34,15 @@
 %:
 	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)
 
-#override_dh_auto_configure:
-#	dh_auto_configure -O--buildsystem=golang
+ifneq ($(GCCGO),)
+# Gccgo ignores vendoring.
+API_PATH := github.com/prometheus/client_golang/api/alertmanager
+override_dh_auto_configure:
+	mkdir -vp `dirname $(BUILDDIR)/src/$(API_PATH)`
+	dh_auto_configure
+	mv -v $(BUILDDIR)/src/$(DH_GOPKG)/vendor/$(API_PATH) \
+		$(BUILDDIR)/src/$(API_PATH)
+endif
 
 override_dh_auto_build:
 	dh_auto_build -- $(BUILDFLAGS)
@@ -40,17 +50,26 @@
 	mkdir -vp $(BUILDDIR)/uideps
 	uglifyjs --mangle --compress \
 	    < ui/lib/angular-moment/angular-moment.js \
-	    > $(BUILDDIR)/uideps/angular-moment.js
+	    > $(BUILDDIR)/uideps/angular-moment.min.js
 	python2-pyscss ui/lib/kube/src/kube.scss \
 	    > $(BUILDDIR)/uideps/kube.min.css
 
 override_dh_auto_test:
 	dh_auto_test
-	GOPATH=$(BUILDDIR) go test -v $(DH_GOLANG_EXCLUDES)
+	# Don't abort if acceptance tests fail, as they are too sensitive to
+	# timing issues.
+	GOPATH=$(BUILDDIR) go test -v $(DH_GOLANG_EXCLUDES) || true
 
 override_dh_auto_install:
-	cp -v $(BUILDDIR)/bin/alertmanager \
-            debian/$(DEBPKGNAME)/usr/bin/$(DEBPKGNAME)
+	cp -v $(BUILDDIR)/bin/alertmanager debian/$(BINPKG)/usr/bin/$(BINPKG)
+	mkdir -vp debian/$(LIBPKG)/usr/share/gocode/$(DH_GOPKG)
+	cp -vaT $(BUILDDIR)/src/$(DH_GOPKG) \
+            debian/$(LIBPKG)/usr/share/gocode/$(DH_GOPKG)
+ifneq ($(GCCGO),)
+	mkdir -vp debian/$(LIBPKG)/usr/share/gocode/$(API_PATH)
+	cp -vaT $(BUILDDIR)/src/$(API_PATH) \
+            debian/$(LIBPKG)/usr/share/gocode/$(API_PATH)
+endif
 
 gen-orig-tgz:
 	if [ ! -f ../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ] ; then \
