## prometheus-alertmanager 0.6.2%2Bds

=== Makefile ===
--- 
+++ 
@@ -66,5 +66,7 @@
 	GOARCH=$(subst x86_64,amd64,$(patsubst i%86,386,$(shell uname -m))) \
 	$(GO) get -u github.com/prometheus/promu
 
+proto:
+	scripts/genproto.sh
 
-.PHONY: all style format build test vet assets tarball docker promu
+.PHONY: all style format build test vet assets tarball docker promu proto
