## prometheus-alertmanager 0.6.2+ds

=== debian/changelog ===
prometheus-alertmanager (0.6.2+ds-3) unstable; urgency=medium

  [ Martín Ferrari ]
  * Team upload.
  * debian/control: Update Standards-Version (no changes).
  * Automatic fixes to control and copyright from cme.
  * Replace dpkg-parsechangelog with /usr/share/dpkg/pkg-info.mk
  * debian/control: Update package name for client-golang.

  [ Michael Stapelberg ]
  * gbp.conf: set debian-branch

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 10 Feb 2018 19:42:29 +0100

prometheus-alertmanager (0.6.2+ds-2) unstable; urgency=medium

  * Fix compilation on gccgo/mips*.

 -- Martín Ferrari <tincho@debian.org>  Sat, 19 Aug 2017 14:51:59 +0000

prometheus-alertmanager (0.6.2+ds-1) unstable; urgency=medium

  * New upstream release. Closes: 871330, 862007..
  * Fix installation path for source files.
  * Refresh patches.
  * Add gbp.conf.
  * debian/copyright: Document new vendored dependency.
  * debian/control:
    - Update Standards-Version (no changes).
    - Fix Vcs-* fields.
    - Mark package as autopkgtest-able.
    - Require latest version of the common library.
    - Add new dependencies.
  * debian/default: Update options.
  * Fix /var/lib permissions.

 -- Martín Ferrari <tincho@debian.org>  Wed, 16 Aug 2017 21:00:28 +0000
