=== debian/control ===
Source: prometheus-alertmanager
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>
Section: net
Testsuite: autopkgtest-pkg-go
Priority: extra
Build-Depends: adduser,
               debhelper (>= 9.0.0),
               dh-golang (>= 1.17~),
               golang-any,
               golang-github-boltdb-bolt-dev,
               golang-github-cenkalti-backoff-dev,
               golang-github-gogo-protobuf-dev,
               golang-github-kylelemons-godebug-dev,
               golang-github-mattn-go-sqlite3-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-common-dev,
               golang-github-satori-go.uuid-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-pflag-dev,
               golang-github-spf13-viper-dev,
               golang-github-weaveworks-mesh-dev,
               golang-golang-x-sys-dev,
               node-uglify,
               python-pkg-resources,
               python-pyscss,
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/prometheus-alertmanager.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/prometheus-alertmanager.git
Homepage: https://prometheus.io/
XS-Go-Import-Path: github.com/prometheus/alertmanager

Package: prometheus-alertmanager
Architecture: any
Depends: daemon,
         libjs-angularjs,
         libjs-d3,
         libjs-jquery,
         libjs-moment,
         ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using}
Description: Handle and deliver alerts created by Prometheus
 The Alertmanager handles alerts sent by client applications such as the
 Prometheus server. It takes care of deduplicating, grouping, and routing them
 to the correct receiver integration such as email, PagerDuty, or OpsGenie. It
 also takes care of silencing and inhibition of alerts.

Package: golang-github-prometheus-alertmanager-dev
Architecture: any
Depends: golang-github-boltdb-bolt-dev,
         golang-github-cenkalti-backoff-dev,
         golang-github-gogo-protobuf-dev,
         golang-github-kylelemons-godebug-dev,
         golang-github-mattn-go-sqlite3-dev,
         golang-github-prometheus-client-golang-dev,
         golang-github-prometheus-common-dev,
         golang-github-satori-go.uuid-dev,
         golang-github-spf13-cobra-dev,
         golang-github-spf13-pflag-dev,
         golang-github-spf13-viper-dev,
         golang-github-weaveworks-mesh-dev,
         golang-golang-x-sys-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Handle and deliver alerts created by Prometheus -- source
 The Alertmanager handles alerts sent by client applications such as the
 Prometheus server. It takes care of deduplicating, grouping, and routing them
 to the correct receiver integration such as email, PagerDuty, or OpsGenie. It
 also takes care of silencing and inhibition of alerts.
 .
 This package provides the source code to be used as a library.
