=== debian/changelog ===
prometheus-alertmanager (0.15.3+ds-3ubuntu1.2) focal-security; urgency=medium

  * SECURITY UPDATE: Stored XSS vulnerability in Alertmanager UI via 
    /api/v1/alerts endpoint                                                  
    - debian/patches/CVE-2023-40577.patch: Input validation for generatorURL 
      in ui/app/src/Views/AlertList/AlertView.elm to prevent stored XSS in 
      Alertmanager UI
    - CVE-2023-40577 

 -- Vyom Yadav <vyom.yadav@canonical.com>  Mon, 29 Jul 2024 09:50:25 +0530

prometheus-alertmanager (0.15.3+ds-3ubuntu1.1) focal-security; urgency=medium

  * No-change rebuild due to golang-1.13 update

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Tue, 11 Oct 2022 03:36:31 +0200

prometheus-alertmanager (0.15.3+ds-3ubuntu1) focal; urgency=medium

  * Fix FTBFS due to a change in the Prometheus common library (LP: #1897967)
    - d/p/08-Fix-prometheus-common-api-change.patch: enable HTTP/2 in all
      calls to NewClientFromConfig.

 -- Lucas Kanashiro <lucas.kanashiro@canonical.com>  Thu, 01 Oct 2020 09:06:05 -3000

prometheus-alertmanager (0.15.3+ds-3) unstable; urgency=medium

  * Fix webserver patch to serve properly a UI compiled manually.
  * Create a separate cmdline argument for the default notification
    template.
  * Rename cmdline argument for local UI.

 -- Martín Ferrari <tincho@debian.org>  Thu, 21 Feb 2019 19:36:45 +0000

prometheus-alertmanager (0.15.3+ds-2) unstable; urgency=medium

  * Replace custom patch with backporting of upstream fix for common lib
    chages.

 -- Martín Ferrari <tincho@debian.org>  Mon, 14 Jan 2019 22:40:29 +0000

prometheus-alertmanager (0.15.3+ds-1) unstable; urgency=high

  * New upstream release.
  * Make paths relative in dummy webpage. Closes: #907224
  * Remove now unneeded symlinks. Closes: #910420.
  * Refresh patches.
  * Add patch to support current version of the common library.
    Closes: #917503.
  * Depend on the latest version of the common library.
  * Update Standards-Version with no changes.

 -- Martín Ferrari <tincho@debian.org>  Mon, 14 Jan 2019 00:39:33 +0000

prometheus-alertmanager (0.15.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Automated cmd fixes.

 -- Martín Ferrari <tincho@debian.org>  Sun, 05 Aug 2018 18:58:17 +0000

prometheus-alertmanager (0.15.0+ds-4) unstable; urgency=medium

  * Release to unstable.

 -- Martín Ferrari <tincho@debian.org>  Tue, 03 Jul 2018 14:40:37 +0000

prometheus-alertmanager (0.15.0+ds-3) experimental; urgency=medium

  * debian/examples: Add missing examples.
  * Change default location of the amtool config.
  * amtool: Change default processing for author parameter; fix
    reproducibility issue.

 -- Martín Ferrari <tincho@debian.org>  Mon, 02 Jul 2018 01:26:34 +0000

prometheus-alertmanager (0.15.0+ds-2) experimental; urgency=medium

  * Fix tests that fail with certain network configurations.

 -- Martín Ferrari <tincho@debian.org>  Fri, 29 Jun 2018 11:35:04 +0000

prometheus-alertmanager (0.15.0+ds-1) experimental; urgency=medium

  * New upstream release. Closes: #894131.
  * Remove now unneeded patch.
  * Add missing shebang to example script.
  * debian/control: Fix dependency version (missing epoch).
  * Automated cmd fixes.
  * Add nocheck buildflag test; also, actually run tests!
  * Fix failing tests: missing dep, wrong template path, and missing executable.

 -- Martín Ferrari <tincho@debian.org>  Thu, 28 Jun 2018 15:44:42 +0000

prometheus-alertmanager (0.15.0~rc.2+ds-1) experimental; urgency=medium

  * Re-add missing +ds suffix.
  * debian/rules: De-mangle upstream version for metadata reporting.
  * Backport commit 387e684 to fix API breakage.
  * debian/defaults: Update flags (mesh.* -> cluster.*).
  * Install missing docs.

 -- Martín Ferrari <tincho@debian.org>  Wed, 13 Jun 2018 16:39:52 +0000

prometheus-alertmanager (0.15.0~rc.2-1) experimental; urgency=medium

  * New release candidate.
  * Refresh patches.
  * Add notice about the lack of a web interface.
  * debian/control: Only depend on daemon if systemd is not installed.

 -- Martín Ferrari <tincho@debian.org>  Tue, 12 Jun 2018 13:20:38 +0000

prometheus-alertmanager (0.15.0~rc.1~git20180507.28967e3+ds-1) experimental; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Martín Ferrari ]
  * Finally package a new upstream release.
  * debian/copyright: Update attribution.
  * debian/control: Update dependencies.
  * debian/defaults: Update available flags.
  * Update default config file.
  * Stop using pristine-tar.
  * Add bash-completion scripts, amtool binary, and examples.
  * Remove building of UI assets.
  * Ship NOTICE file as required by the Apache license.
  * Remove unused lintian overrides.
  * Add default API endpoint to amtool.
  * Simplify installation of files into package & remove old hacks.
  * Update dependencies.
  * Generate man pages.
  * Add index.html placeholder.

 -- Martín Ferrari <tincho@debian.org>  Sat, 19 May 2018 15:30:34 +0000

prometheus-alertmanager (0.6.2+ds-5) unstable; urgency=high

  * debian/rules: Fix build failure in Arch:all. Closes: #892164
  * Automated cme fixes.
  * Remove unneeded lintian overrides.
  * Update debhelper compat to 11.
  * Stop using recursive chown.
  * debian/copyright: Move repackaging comment to appease lintian.

 -- Martín Ferrari <tincho@debian.org>  Tue, 27 Mar 2018 00:03:07 +0000

prometheus-alertmanager (0.6.2+ds-4) unstable; urgency=medium

  [ Martín Ferrari ]
  * Team upload.
  * Tighten dependency versions.
  * Fix acceptance tests (log.level flag does not exist anymore).
  * Add override for missing-notice-file-for-apache-license.

  [ Michael Stapelberg ]
  * Correctly set Architecture: all for package which contains only sources

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 05 Mar 2018 19:42:51 +0100
