## prometheus-alertmanager 0.20.0+ds

=== debian/changelog ===
prometheus-alertmanager (0.20.0+ds-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * New upstream release.
  * Add myself to uploaders.
  * Refresh patches.
  * Drop obsolete 06-Fix_cluster_tests.patch.
  * d/docs: remove no longer existing CONTRIBUTING.md

  [ Martina Ferrari ]
  * Update initscript.
  * Use packaged version of rs/cors. Closes: #944436.

 -- Martina Ferrari <tincho@debian.org>  Tue, 14 Jan 2020 22:18:18 +0000

prometheus-alertmanager (0.19.0+ds-3) unstable; urgency=medium

  * I should really not upload before proper testing :-).

 -- Martina Ferrari <tincho@debian.org>  Wed, 30 Oct 2019 14:49:48 +0000

prometheus-alertmanager (0.19.0+ds-2) unstable; urgency=medium

  * Acceptance tests were not meant to stop the build on failure.

 -- Martina Ferrari <tincho@debian.org>  Wed, 30 Oct 2019 12:53:39 +0000

prometheus-alertmanager (0.19.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Name update.
  * Refresh patches.
  * Update vendoring copyright info.
  * Do not try to compile assets.
  * Update dependencies.
  * Manage new acceptance tests.
  * Automatic cme fixes.
  * Add needed Pre-Depends for sysvinit
  * Use a default static UI only if the user did not provide one.
  * Ship script to automatically build and deploy the Elm UI.

 -- Martina Ferrari <tincho@debian.org>  Tue, 29 Oct 2019 20:15:27 +0000
