=== debian/control ===
--- 
+++ 
@@ -1,31 +1,41 @@
 Source: prometheus-alertmanager
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Martín Ferrari <tincho@debian.org>,
+Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Uploaders: Martina Ferrari <tincho@debian.org>,
+           Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: adduser,
                bash-completion,
-               debhelper (>= 11),
+               debhelper-compat (= 12),
                dh-golang (>= 1.31~),
                golang-any (>= 2:1.10~),
                golang-github-cenkalti-backoff-dev,
                golang-github-cespare-xxhash-dev,
                golang-github-go-kit-kit-dev,
+               golang-github-go-openapi-errors-dev (>= 0.15.0~),
+               golang-github-go-openapi-loads-dev,
+               golang-github-go-openapi-runtime-dev (>= 0.15.0~),
+               golang-github-go-openapi-spec-dev,
+               golang-github-go-openapi-strfmt-dev,
+               golang-github-go-openapi-swag-dev,
+               golang-github-go-openapi-validate-dev,
                golang-github-gogo-protobuf-dev (>= 0.5),
                golang-github-hashicorp-go-sockaddr-dev,
                golang-github-hashicorp-memberlist-dev (>= 0.1.0~),
                golang-github-kylelemons-godebug-dev,
                golang-github-oklog-ulid-dev,
                golang-github-pkg-errors-dev,
-               golang-github-prometheus-client-golang-dev (>= 0.9.0~pre1+git20180417),
-               golang-github-prometheus-common-dev (>= 0+git20181119),
+               golang-github-prometheus-client-golang-dev (>= 1.1.0~),
+               golang-github-prometheus-common-dev (>= 0.7.0~),
+               golang-github-rs-cors-dev,
                golang-github-satori-go.uuid-dev,
+               golang-github-xlab-treeprint-dev (>= 0.0~git20180615),
+               golang-go-flags-dev,
                golang-golang-x-net-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-yaml.v2-dev (>= 2.2.1-1~),
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-alertmanager
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-alertmanager.git
 Homepage: https://prometheus.io/
@@ -33,6 +43,7 @@
 
 Package: prometheus-alertmanager
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: daemon | systemd-sysv,
          ${misc:Depends},
          ${shlibs:Depends},
@@ -48,15 +59,25 @@
 Depends: golang-github-cenkalti-backoff-dev,
          golang-github-cespare-xxhash-dev,
          golang-github-go-kit-kit-dev,
+         golang-github-go-openapi-errors-dev (>= 0.15.0~),
+         golang-github-go-openapi-loads-dev,
+         golang-github-go-openapi-runtime-dev (>= 0.15.0~),
+         golang-github-go-openapi-spec-dev,
+         golang-github-go-openapi-strfmt-dev,
+         golang-github-go-openapi-swag-dev,
+         golang-github-go-openapi-validate-dev,
          golang-github-gogo-protobuf-dev (>= 0.5),
          golang-github-hashicorp-go-sockaddr-dev,
          golang-github-hashicorp-memberlist-dev (>= 0.1.0~),
          golang-github-kylelemons-godebug-dev,
          golang-github-oklog-ulid-dev,
          golang-github-pkg-errors-dev,
-         golang-github-prometheus-client-golang-dev (>= 0.9.0~pre1+git20180417),
-         golang-github-prometheus-common-dev (>= 0+git20180518),
+         golang-github-prometheus-client-golang-dev (>= 1.1.0~),
+         golang-github-prometheus-common-dev (>= 0.7.0~),
+         golang-github-rs-cors-dev,
          golang-github-satori-go.uuid-dev,
+         golang-github-xlab-treeprint-dev (>= 0.0~git20180615),
+         golang-go-flags-dev,
          golang-golang-x-net-dev,
          golang-gopkg-alecthomas-kingpin.v2-dev,
          golang-gopkg-yaml.v2-dev (>= 2.2.1-1~),
