=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,9 @@
 export DH_GOPKG := github.com/prometheus/alertmanager
 
 # Acceptance tests need to be run separately.
-export DH_GOLANG_EXCLUDES := $(DH_GOPKG)/test/acceptance examples
-export DH_GOLANG_INSTALL_EXTRA := template/default.tmpl
+export DH_GOLANG_EXCLUDES := test/.*/acceptance examples asset
+export DH_GOLANG_EXCLUDES_ALL := 0
+export DH_GOLANG_INSTALL_EXTRA := template/default.tmpl ui/app
 
 METAPKG := github.com/prometheus/common
 BINPKG := prometheus-alertmanager
@@ -14,12 +15,12 @@
 
 BRANCH     := debian/sid
 USER       := pkg-go-maintainers@lists.alioth.debian.org
-BUILD_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
+BUILD_DATE  = $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
     +%Y%m%d-%H:%M:%S)
-GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
-GCCGO      := $(strip $(shell go version | grep gccgo))
-VERSION := $(shell echo '$(DEB_VERSION_UPSTREAM)' | tr '~' '-')
-BUILDFLAGS := -ldflags \
+GO_VERSION  = $(shell go version | sed 's/go version \(\S*\).*/\1/')
+GCCGO       = $(strip $(shell go version | grep gccgo))
+VERSION     = $(shell echo '$(DEB_VERSION_UPSTREAM)' | tr '~' '-')
+BUILDFLAGS  = -ldflags \
   " -X $(METAPKG)/version.Version=$(VERSION)\
     -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
     -X $(METAPKG)/version.Branch=$(BRANCH)\
@@ -58,7 +59,14 @@
 	dh_auto_test
 	# Don't abort if acceptance tests fail, as they are too sensitive to
 	# timing issues.
-	GOPATH=$(CURDIR)/build go test -v $(DH_GOPKG)/test/acceptance || true
+	( for pkg in cli/acceptance with_api_v1/acceptance \
+	    with_api_v2/acceptance; do \
+	    DH_GOLANG_EXCLUDES= DH_GOPKG=$(DH_GOPKG)/test/$$pkg \
+	    dh_auto_test || { \
+		echo "*** Acceptance tests failed ***"; \
+		exit 1; \
+		}; \
+	  done; ) || true
 endif
 
 override_dh_auto_install:
